/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>expression</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getFirst <em>First</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getEc <em>Ec</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression()
 * @model
 * @generated
 */
public interface expression extends EObject
{
  /**
   * Returns the value of the '<em><b>First</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>First</em>' containment reference.
   * @see #setFirst(expression_start)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_First()
   * @model containment="true"
   * @generated
   */
  expression_start getFirst();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getFirst <em>First</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>First</em>' containment reference.
   * @see #getFirst()
   * @generated
   */
  void setFirst(expression_start value);

  /**
   * Returns the value of the '<em><b>Ec</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ec</em>' containment reference.
   * @see #setEc(expression_cont)
   * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage#getexpression_Ec()
   * @model containment="true"
   * @generated
   */
  expression_cont getEc();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.expression#getEc <em>Ec</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ec</em>' containment reference.
   * @see #getEc()
   * @generated
   */
  void setEc(expression_cont value);

} // expression
